# -*- coding: utf-8 -*-

class BasicObjectGeom():
    def __init__(self,address_forest: str, parcel_nr: str, area_use_dic_count_num: int, geometry):
        self.__address_forest=address_forest
        self.__parcel_nr=parcel_nr
        self.__area_use_dic_count_num=area_use_dic_count_num
        self.__geometry=geometry
        
    @property
    def address_forest(self)->str:
        """Adres leśny"""
        return self.__address_forest
    @address_forest.setter
    def address_forest(self,address:str):
        self.__address_forest=address
        
    @property
    def parcel_nr(self)->str:
        return self.__parcel_nr
    @parcel_nr.setter
    def parcel_nr(self,nr: str):
        self.__parcel_nr=nr
        
    @property
    def area_use_dic_count_num(self)->int:
        return self.__area_use_dic_count_num
    @area_use_dic_count_num.setter
    def area_use_dic_count_num(self,area_num: int):
        self.__area_use_dic_count_num=area_num
    
    @property
    def geometry(self):
        return self.__geometry
    @geometry.setter
    def geometry(self,geom):
        self.__geometry=geom
#         